import "bitcoinity" for Bitcoinity

class App {
	construct new(exchange, currency) {
		_currency = currency
		_exchange = exchange
	}

	start() {
		var price_quick = Bitcoinity.ticker_quick()
		System.print("Ticker (quick): %(price_quick.price) %(price_quick.currency) on %(price_quick.exchange)")

		var price_currency = Bitcoinity.ticker_currency(_currency)
		System.print("Ticker (%(_currency)): %(price_currency.price) %(price_currency.currency) on %(price_currency.exchange)")

		var price = Bitcoinity.ticker(_exchange, _currency)
		System.print("Ticker (%(_exchange), %(_currency)): %(price.price) %(price.currency) on %(price.exchange)")
	}
}

var the_app = App.new("kraken", "USD")
